# -*- coding: utf-8 -*-

"""Exercises class"""

from sqlobject import *
from Hercules.exercisesql import *
from Hercules.globals import herculesDBFile


class Exercises:
    """A class representing a exercises essence"""

    def __init__(self):
        """set up connection to database"""
        connectionString = 'sqlite:' + herculesDBFile
        connection = connectionForURI(connectionString)
        ExerciseSQL._connection = connection
        
        ExerciseSQL.createTable(ifNotExists=True)

    def SelectExercises(self):
        """Return instances of all exercises"""
        return ExerciseSQL.select()

    def GetExercise(self, num):
        """Get exercise instance"""
        return ExerciseSQL.get(num)
    
    def InsertExercise(self, title, utility, mechanics, force,instruct,
                       muscles, comments, imageFile):
        """Insert exercise into database"""
        return ExerciseSQL(exerTitle=title, exerUtility=utility,
                           exerMechanics=mechanics, exerForce=force,
                           exerInstruct=instruct, exerMuscles=muscles,
                           exerComments=comments, exerImageFile=imageFile)

    def UpdateExercise(self, exercise, title, utility, mechanics, force,
                       instruct, muscles, comments, imageFile):
        """Update exercise instance"""
        exercise.exerTitle = title
        exercise.exerUtility = utility
        exercise.exerMechanics = mechanics
        exercise.exerForce = force
        exercise.exerInstruct = instruct
        exercise.exerMuscles = muscles
        exercise.exerComments = comments
        exercise.exerImageFile = imageFile

    def DeleteExercise(self, exercise):
        """Delete exercise instance"""
        ExerciseSQL.delete(exercise.id)
