# -*- coding: utf-8 -*-

import os
import sys
from Hercules.debug import *


# set up working directory
if os.name == 'nt' or os.name == 'win32':
    # default to My Documents
    import winshell
    mydocs = winshell.my_documents()
    herculesDir = os.path.join(mydocs, 'hercules')
    imagesDir = os.path.join(herculesDir, 'images')
    # create path suitable for sqlobject
    import re
    p = re.compile(r'\\')
    hercWinDir = p.sub('/', herculesDir)
    p = re.compile(':')
    hercWinDir = p.sub('|', hercWinDir)
else:
    herculesDir = os.path.join(os.path.expanduser('~'), '.hercules')
    imagesDir = os.path.join(herculesDir, 'images')

try:
    if not os.path.exists(herculesDir):
        debug("Creating %s" % herculesDir)
        os.makedirs(herculesDir)
    else:
        debug("Using database directory: %s" % herculesDir)
except OSError:
    debug("Unable to create database directory.")
    sys.exit()

try:
    if not os.path.exists(imagesDir):
        debug("Creating %s" % imagesDir)
        os.makedirs(imagesDir)
    else:
        debug("Using images directory: %s" % imagesDir)
except OSError:
    debug("Unable to create images directory.")
    sys.exit()

if not os.access(herculesDir, os.W_OK):
    debug("Cannot write to database directory, %s" % herculesDir)
    sys.exit()

if not os.access(imagesDir, os.W_OK):
    debug("Cannot write to images directory, %s" % imagesDir)
    sys.exit()


# set up hercules db file
if os.name == 'nt' or os.name == 'win32':
    herculesDBFile = '/' + hercWinDir + '/' + 'hercules.db'
else:
    herculesDBFile = herculesDir + '/' + 'hercules.db'

# set up share directory
if debugMode == False:
    if os.name == 'win32' or os.name == 'nt':
        dir = os.path.abspath(os.path.dirname(sys.argv[0]))
        sharedir = '%s' % dir
    elif os.name == 'posix':
        sharedir = '/usr/share/hercules'
else:
    sharedir = ''
debug("Using share directory: %s" % sharedir)
