#!/usr/bin/env python

import time
import sys

# ModuleFinder can't handle runtime changes to __path__, but win32com
# uses them

try:
    import modulefinder
    import win32com
    for p in win32com.__path__[1:]:
        modulefinder.AddPackagePath("win32com", p)
    for extra in ["win32com.shell"]: #,"win32com.mapi"
        __import__(extra)
        m = sys.modules[extra]
        for p in m.__path__[1:]:
            modulefinder.AddPackagePath(extra, p)
except ImportError:
    # no build path setup, no worries.
    pass

from distutils.core import setup
import os
import glob
import py2exe

i18n = []
for lang in glob.glob(os.path.join('po', '*.po')):
    lang = lang[3:-3]
    i18n.append(('i18n/%s/LC_MESSAGES' % lang,
                 ['i18n/%s/LC_MESSAGES/hercules.mo' % lang]))

opts = {
    "py2exe": {
    "compressed": 1,
    "optimize": 2,
    "ascii": 1,
    "bundle_files": 1,
    "packages": ["encodings"],
    "dist_dir": "dist"
    }
}

setup (name = "hercules",
       fullname = "The Diary Of Hercules",
       version = "0.0.4",
       description = "Personal workout diary",
       author = "Basil Shubin",
       author_email = "bashu@users.sourceforge.net",
       url = "http://www.sourceforge.net/projects/hercules/",
       license = "GPL",
       keywords = ["Workout software", "Bodybuilding", "Fitness", "wxPython"],

       windows = [{"script": "hercules.py"}],
       packages = ["Hercules", "Hercules.gui"],
       data_files = i18n,
       options = opts,
       zipfile = None
       )
